<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from fmincon_checkoption.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="fmincon_checkoption" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 05-Aug-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>fmincon_checkoption</refname><refpurpose>Generates an error if the value of an input argument is not expected.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   errmsg = fmincon_checkoption ( funname , var , varname , ivar , expectedopt )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>funname :</term>
      <listitem><para> a 1 x 1 matrix of strings, the name of the calling function.</para></listitem></varlistentry>
   <varlistentry><term>var :</term>
      <listitem><para> a 1 x 1 matrix of valid Scilab data type, the variable</para></listitem></varlistentry>
   <varlistentry><term>varname :</term>
      <listitem><para> a 1 x 1 matrix of string, the name of the variable</para></listitem></varlistentry>
   <varlistentry><term>ivar :</term>
      <listitem><para> a 1 x 1 matrix of floating point integers, the index of the input argument in the calling sequence</para></listitem></varlistentry>
   <varlistentry><term>expectedopt :</term>
      <listitem><para> a n x 1 or 1 x n matrix of values, the available values for the variable #ivar</para></listitem></varlistentry>
   <varlistentry><term>errmsg :</term>
      <listitem><para> a 1 x 1 matrix of strings, the error message. If there was no error, the error message is the empty matrix.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This function is designed to be used to design functions where an
input argument has a limited number of possible values.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// The function takes a string argument, either "r" or "c".
function myfunction ( x )
fmincon_checkoption ( "myfunction" , x , "x" , 1 , ["r" "c"] )
disp("This is the string:" + x)
endfunction
// Calling sequences which work
myfunction ( "r" )
myfunction ( "c" )
// Calling sequences which generate an error
myfunction ( "Scilab" )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin - 2010 - DIGITEO</member>
   </simplelist>
</refsection>
</refentry>
